﻿Type=Class
Version=3.02
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private fx As JFX
	Private TForm As Form
	Private tlblTpl As Label
	Private tedtTpl As TextField
	Private tspnTpl As ComboBox
	Private tbtnCompKt As Button
	Private tbtnCancelKt As Button
	
	Dim temp_pl(4) As String
	Dim cur_temp As Int
	Dim tlang As Int
	
	Dim mf As MsgForm
	Dim rt=0 As Int
End Sub
Public Sub Initialize (Parent As Form, Lang As Int)
	' Init the form. Form size is set to best size
	TForm.Initialize("Form", -1, -1)
	' Give the form a title and make it a utility form (toolbox type of form)
	TForm.SetFormStyle("UTILITY")
	' Load the layout - simple form with only one multiline label with wordwrap set
	TForm.RootPane.LoadLayout("TForm")
	TForm.Resizable = False
	
	LangInit(Lang)
	
	tlang = Lang
	
End Sub
Sub tbtnCancelKt_Action
	TForm.Close
End Sub
Sub tbtnCancelKt_MouseClicked (EventData As MouseEvent)
    Log("tbtnCancelKt_MouseClicked called")
    TForm.Close
End Sub
Public Sub Show As Int
	TForm.ShowAndWait	
	Return 1
End Sub
Sub LangInit(lang_code As Int)
	
	cur_temp = tspnTpl.SelectedIndex

	If lang_code = 0 Then
		tlblTpl.Text = "Label1"
		tbtnCompKt.Text = "Compute1"
		tbtnCancelKt.Text = "Close1"		
		temp_pl(0)="1"
		temp_pl(1)="2"
		temp_pl(2)="3"
		temp_pl(3)="4"		
		tspnTpl.Items.AddAll(temp_pl)
	Else If lang_code = 1 Then
		tlblTpl.Text = "Label2"
		tbtnCompKt.Text = "Compute2"
		tbtnCancelKt.Text = "Cancel2"		
		temp_pl(0)="1"
		temp_pl(1)="2"
		temp_pl(2)="3"
		temp_pl(3)="4"		
		tspnTpl.Items.AddAll(temp_pl)
	End If
	
	If cur_temp = -1 Then
		tspnTpl.SelectedIndex = 0
	Else
		tspnTpl.SelectedIndex = cur_temp
	End If

End Sub	
Sub CheckValuesTF As Int
	Dim Tpl As Double
	
	If IsNumber(tedtTpl.Text) <> True Then
		Main.ShowError(tlang,Main.Error0,Main.Error90&tlblTpl.Text&Main.Error91&tedtTpl.Text&Main.Error92)
		Return -90
	Else
		Tpl = tedtTpl.Text
		If Tpl = 0 Then
			 If tlang = 0 Then 
			 Main.ShowError(tlang,"Error1","Tpl value can't be zero !")
			 Return -31
			 Else
			 Main.ShowError(tlang,"Error2","Tpl value can't be zero !")
			 Return -31
			 End If
		Else If Tpl < 0 Then 
			 If tlang = 0 Then 
			 Main.ShowError(tlang,"Error1","Tpl value can't be negative !")
			 Return -32
			 Else
			 Main.ShowError(tlang,"Error2","Tpl value can't be negative !")
			 Return -32
			 End If
		Else     
    	     Return 0                   
		End If
	End If

End Sub

Sub tbtnCompKt_Action
	If CheckValuesTF = 0 Then
		Main.SetTF(NumberFormat2(tedtTpl.Text,1,2,2,False))
		TForm.Close
	End If	
End Sub
Sub tbtnCompKt_MouseClicked (EventData As MouseEvent)
	If CheckValuesTF = 0 Then
		Main.SetTF(NumberFormat2(tedtTpl.Text,1,2,2,False))
		TForm.Close
	End If		
End Sub
Sub tedtTpl_TextChanged (Old As String, New As String)
   Dim sb As StringBuilder
   sb.Initialize
   For i = 0 To New.Length - 1
     If "0123456789.".IndexOf(New.CharAt(i)) > -1 Then
       sb.Append(New.CharAt(i))
     End If
   Next
   tedtTpl.Text = sb.ToString
   tedtTpl.SetSelection(tedtTpl.Text.Length, tedtTpl.Text.Length)	
End Sub
Sub tform_CloseRequest (EventData As Event)
	TForm.Close
End Sub