﻿Type=Class
Version=3.02
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private fx As JFX
	Private frm As Form
	Private msglblTitle As Label
	Private msgbtnClose As Button
	Private msglblText As Label
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize (Parent As Form, Lang As Int,title As String, info As String)
	' Init the form. Form size is set to best size
	frm.Initialize("Form", -1, -1)
	' Give the form a title and make it a utility form (toolbox type of form)
	' frm.title = title
	frm.title = ""
	frm.SetFormStyle("UTILITY")
	' Load the layout - simple form with only one multiline label with wordwrap set
	frm.RootPane.LoadLayout("MsgForm")
	' Set the abouttext which is being passed as parameter
	msglblText.Text = info
	msglblTitle.Text = title
	frm.Resizable = False
	
	LangInit(Lang)
	
End Sub

Public Sub Show As Int
	frm.ShowAndWait	
	Return 1
End Sub

' Close the form
Sub frm_CloseRequest (EventData As Event)
	frm.Close
End Sub

Sub msgbtnClose_Action
	frm.Close
End Sub
Sub msgbtnClose_MouseClicked (EventData As MouseEvent)
	frm.Close
End Sub

Sub LangInit(lang_code As Int)
	If lang_code = 0 Then
	    msgbtnClose.Text = "Close1"
	Else If lang_code = 1 Then
		msgbtnClose.Text = "Close2"
	End If
End Sub